%global momorel 2

Name:           perl-AnyEvent-HTTP
Version:        1.45
Release:        %{momorel}m%{?dist}
Summary:        Simple but non-blocking HTTP/HTTPS client
License:        Artistic or GPL
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/AnyEvent-HTTP/
Source0:        http://search.cpan.org/CPAN/authors/id/M/ML/MLEHMANN/AnyEvent-HTTP-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl-AnyEvent >= 4.8
BuildRequires:  perl-ExtUtils-MakeMaker
Requires:       perl-AnyEvent >= 4.8
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This module is an AnyEvent user, you need to make sure that you use and run
a supported event loop.

%prep
%setup -q -n AnyEvent-HTTP-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes COPYING README
%{perl_vendorlib}/AnyEvent/HTTP*
%{_mandir}/man3/*

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (1.45-2m)
- full rebuild for mo7 release

* Thu Jun 17 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.45-1m)
- update to 1.45

* Tue May 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.44-3m)
- rebuild against perl-5.12.1

* Fri Apr 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.44-2m)
- rebuild against perl-5.12.0

* Fri Dec 11 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (1.44-1m)
- update to 1.44

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.43-4m)
- rebuild against gcc-4.4 and glibc-2.11

* Mon Aug 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (1.43-3m)
- rebuild against perl-5.10.1

* Fri Aug 21 2009 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.43-2m)
- use pacakge name

* Thu Aug 20 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.43-1m)
- update to 1.43

* Sun Jul 19 2009 Nakamura Hirotaka<h_nakamura@momonga-linux.org>
- (1.4-1m)
- Specfile autogenerated by cpanspec 1.78 for Momonga Linux.
